%%
%% This is file `ifasd.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% ifasd.dtx  (with options: `class')
%% 
%% This is a generated file.
%% 
%% This file may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either
%% version 1.2 of this license or (at your option) any later
%% version.  The latest version of this license is in:
%% 
%%    http://www.latex-project.org/lppl.txt
%% 
%% and version 1.2 or later is part of all distributions of
%% LaTeX version 1999/12/01 or later.
%% 
%% Modified by G. Quaranta giuseppe.quaranta@polimi.it 
%% March 2017
\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{ifasd}[2019/03/05 v1.0 IFASD document class]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass[a4paper,12pt]{article}
\RequirePackage[margin=25mm]{geometry}
\RequirePackage{subfigure}
\RequirePackage[hang,footnotesize]{caption}
\RequirePackage{amsmath}
\RequirePackage{cite}
\RequirePackage{enumitem}
\RequirePackage{fancyhdr}
\RequirePackage{ifthen}
\RequirePackage{titlesec}
\RequirePackage{graphicx}
\RequirePackage{times}
\RequirePackage{hyperref}
\long\def\@lfor#1:=#2\do#3{%
  \expandafter\def\expandafter\@fortmp\expandafter{#2}%
  \ifx\@fortmp\@empty \else
    \expandafter\@lforloop#2,\@nil,\@nil\@@#1{#3}\fi}
\long\def\@lforloop#1,#2,#3\@@#4#5{\def#4{#1}\ifx #4\@nnil \else
       #5\def#4{#2}\ifx #4\@nnil \else#5\@liforloop #3\@@#4{#5}\fi\fi}
\long\def\@lfornoop#1\@@#2#3{}
\long\def\@liforloop#1,#2\@@#3#4{\def#3{#1}\ifx #3\@nnil
       \expandafter\@lfornoop \else
      #4\relax\expandafter\@liforloop\fi#2\@@#3{#4}}
\newcommand{\IFASDpapernumber}[2]{\def\ifasd@papernumber{IFASD-#1-#2}}
\def\ifasd@papernumber{}
\newcommand{\IFASDConference}[2]{\def\ifasd@conference{IFASD #1\\ #2}}
\def\ifasd@conference{}
\IFASDConference{2024}{17-21 June 2024, The Hague, The Netherlands}
\setlength{\parindent}{0pt}
\setlength{\parskip}{12pt plus 2pt minus 2pt}
\setlength{\abovecaptionskip}{-6pt}
\setlength{\belowcaptionskip}{0pt}
\setlength{\intextsep}{12pt}
\renewenvironment{abstract}{%
  \normalsize\normalfont\bfseries\abstractname:
  \mdseries}{}
\newcommand{\keywordsname}{Keywords}
\newenvironment{keywords}{%
  \normalsize\normalfont\bfseries\keywordsname:
  \mdseries}{}
\titleformat{\section}[hang]%
  {\normalsize\normalfont\bfseries\MakeUppercase}%
  {\thesection}{6pt}{}
\titleformat{\subsection}[hang]%
  {\normalsize\normalfont\bfseries}%
  {\thesubsection}{6pt}{}
\titleformat{\subsubsection}[hang]%
  {\normalsize\normalfont\bfseries\itshape}%
  {\thesubsubsection}{6pt}{}
\titleformat{\paragraph}[runin]%
  {\normalsize\normalfont\bfseries}%
  {\theparagraph}{6pt}{}[.]
\titleformat{\subparagraph}[runin]%
  {\normalsize\normalfont\bfseries\itshape}%
  {\theparagraph}{6pt}{}[.]
\titlespacing*{\section}{0pt}%
  {0pt}%
  {-6pt}
\titlespacing*{\subsection}{0pt}%
  {0pt}% 
  {-6pt}%
\titlespacing*{\subsubsection}{0pt}%
  {0pt}%
  {-6pt}
\titlespacing{\paragraph}{0pt}{0pt}{6pt}
\titlespacing{\subparagraph}{0pt}{0pt}{6pt}
\pagestyle{fancy}
\fancyhead{}
\fancyhead[R]{\footnotesize\textsf\ifasd@papernumber}
\fancyfoot[C]{\thepage}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}
\fancypagestyle{plain}{
  \fancyhead{}
  \fancyfoot[C]{\thepage}
  \renewcommand{\headrulewidth}{0pt}
  \renewcommand{\footrulewidth}{0pt}
}
\setenumerate{noitemsep,topsep=0pt}
\setlist{noitemsep,topsep=0pt}
\renewenvironment{thebibliography}[1]
  {\section{\refname}%
   \@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}%
   \list{\@biblabel{\@arabic\c@enumiv}}%
   {\settowidth\labelwidth{\@biblabel{#1}}%
      \leftmargin\labelwidth
      \advance\leftmargin\labelsep
      \@openbib@code
      \usecounter{enumiv}%
      \let\p@enumiv\@empty
      \renewcommand\theenumiv{\@arabic\c@enumiv}}%
  \sloppy
  \clubpenalty4000
  \@clubpenalty \clubpenalty
  \widowpenalty4000%
  \sfcode`\.\@m}
  {\def\@noitemerr
    {\@latex@warning{Empty `thebibliography' environment}}%
  \endlist}
\newcounter{ifasd@numaffiliations}
\newcounter{ifasd@numauthors}
\newcounter{ifasd@currentaffiliation}
\setcounter{ifasd@currentaffiliation}{1}
\newcommand{\ifasd@label}{$^{\arabic{ifasd@currentaffiliation}}$}
\def\@maketitle{%
  \newpage
%%%%%%%%%%%%%%%%%%%%%%%%%%
 %\begin{minipage}[t][-1cm][t]{2cm}
%	\begin{flushright}
%
	%	\vspace{-55pt}
%
	%           \includegraphics[width=2\textwidth]{IFASD2021logo.jpg}	\end{flushright}
%\end{minipage}
%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{minipage}[t][1cm][t]{15.5cm}
	\begin{flushright}
%		\scriptsize
                     \small
		\vspace{-50pt}
		International Forum on Aeroelasticity and Structural Dynamics\\
		{\ifasd@conference}
	\end{flushright}
\end{minipage}
  \begin{center}%
    {\large\normalfont\bfseries\MakeUppercase{\@title}}\par%
    {\normalsize\normalfont\bfseries\@author}\par%
    {\small\normalfont\@affiliations}\par%
  \end{center}%
  \vspace{-12pt}}
\DeclareRobustCommand\author{\@ifstar%
  \ifasd@authorstar%
  \ifasd@authornostar}
\newcommand{\ifasd@authorstar}[1]{%
  \stepcounter{ifasd@numauthors}%
  \@ifundefined{ifasd@lastauthor}%
    {}%
    {\@ifundefined{ifasd@authors}%
      {\toks0=\expandafter{\ifasd@lastauthor}%
       \edef\ifasd@authors{\the\toks0}}%
      {\toks0=\expandafter{\ifasd@authors}%
       \toks1=\expandafter{\ifasd@lastauthor}%
       \edef\ifasd@authors{\the\toks0,\the\toks1}}%
    }%
  \edef\ifasd@lastauthor{\protect{#1}}%
}
\newcommand{\ifasd@authornostar}[1]{%
  \stepcounter{ifasd@numauthors}%
  \@ifundefined{ifasd@lastauthor}%
    {}%
    {\@ifundefined{ifasd@authors}%
      {\toks0=\expandafter{\ifasd@lastauthor}%
       \edef\ifasd@authors{\the\toks0}}%
      {\toks0=\expandafter{\ifasd@authors}%
       \toks1=\expandafter{\ifasd@lastauthor}%
       \edef\ifasd@authors{\the\toks0,{\the\toks1}}}%
    }%
  \toks0=\expandafter{\protect{#1}}%
  \edef\ifasd@lastauthor{\the\toks0\ifasd@label}%
}
\renewcommand{\@author}{%
  \ifthenelse{\value{ifasd@numauthors} = 1}%
    {\ifasd@lastauthor}%
    {}%
  \ifthenelse{\value{ifasd@numauthors} = 2}%
    {\ifasd@authors{ }and \ifasd@lastauthor}%
    {}%
  \ifthenelse{\value{ifasd@numauthors} > 2}%
    {\@for\a:=\ifasd@authors\do{\a, }\ifasd@lastauthor}%
    {}%
}
\newcommand{\affiliation}[1]{%
  \stepcounter{ifasd@numaffiliations}%
  \stepcounter{ifasd@currentaffiliation}%
  \@ifundefined{ifasd@lastaffiliation}%
    {}%
    {\@ifundefined{ifasd@affiliations}%
      {\toks0=\expandafter{\ifasd@lastaffiliation}%
       \edef\ifasd@affiliations{\the\toks0}}%
      {\toks0=\expandafter{\ifasd@affiliations}%
       \toks1=\expandafter{\ifasd@lastaffiliation}%
       \edef\ifasd@affiliations{\the\toks0,{\the\toks1}}}%
    }%
  \toks0=\expandafter{\protect{#1}}%
  \edef\ifasd@lastaffiliation{\the\toks0}%
}
\newcommand{\@affiliations}{%
  \setcounter{ifasd@currentaffiliation}{0}
  \ifthenelse{\value{ifasd@numaffiliations} = 1}%
    {\stepcounter{ifasd@currentaffiliation}%
     \ifasd@label\ifasd@lastaffiliation}%
    {}%
  \ifthenelse{\value{ifasd@numaffiliations} = 2}%
    {\stepcounter{ifasd@currentaffiliation}%
     \ifasd@label\ifasd@affiliations\par%
     \stepcounter{ifasd@currentaffiliation}%
     \ifasd@label\ifasd@lastaffiliation}%
    {}%
  \ifthenelse{\value{ifasd@numaffiliations} > 2}%
    {\@lfor\a:=\ifasd@affiliations\do{%
       \stepcounter{ifasd@currentaffiliation}%
       \ifasd@label\a\par}%
     \stepcounter{ifasd@currentaffiliation}%
     \ifasd@label\ifasd@lastaffiliation}%
    {}%
}

\endinput
%%
%% End of file `ifasd.cls'.
